---
title: SVGElement
slug: Web/API/SVGElement
tags:
  - API
  - Interface
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
  - SVGElement
---
<div>{{APIRef("SVG")}}</div>

<p>All of the SVG DOM interfaces that correspond directly to elements in the SVG language derive from the <code>SVGElement</code> interface.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Also inherits properties from: {{DOMxRef("DocumentAndElementEventHandlers")}}, {{DOMxRef("Element")}}, {{DOMxRef("ElementCSSInlineStyle")}}, {{DOMxRef("GlobalEventHandlers")}}, {{DOMxRef("HTMLOrForeignElement")}}, {{DOMxRef("SVGElementInstance")}}</em></p>

<dl>
	<dt>{{DOMxRef("SVGElement.dataset")}}{{ReadOnlyInline}}</dt>
	<dd>A {{DOMxRef("DOMStringMap")}} object which provides a list of key/value pairs of named data attributes which correspond to <a href="/en-US/docs/Web/Guide/HTML/Using_data_attributes">custom data attributes</a> attached to the element. These can also be defined in SVG using attributes of the form {{SVGAttr("data-*")}}, where <code>*</code> is the key name for the pair. This works just like HTML's {{DOMxRef("HTMLElement.dataset")}} property and HTML's {{HTMLAttrxRef("data-*")}} global attribute.</dd>
	<dt>{{DOMxRef("SVGElement.className")}} {{Deprecated_Inline}}{{ReadOnlyInline}}</dt>
	<dd>An {{DOMxRef("SVGAnimatedString")}} that reflects the value of the {{SVGAttr("class")}} attribute on the given element, or the empty string if <code>class</code> is not present. This attribute is deprecated and may be removed in a future version of this specification. Authors are advised to use {{DOMxRef("Element.classList")}} instead.</dd>
	<dt>{{DOMxRef("SVGElement.ownerSVGElement")}}{{ReadOnlyInline}}</dt>
	<dd>An {{DOMxRef("SVGSVGElement")}} referring to the nearest ancestor {{SVGElement("svg")}} element. <code>null</code> if the given element is the outermost <code>&lt;svg&gt;</code> element.</dd>
	<dt>{{DOMxRef("SVGElement.viewportElement")}}{{ReadOnlyInline}}</dt>
	<dd>The {{DOMxRef("SVGElement")}}, which established the current viewport. Often, the nearest ancestor {{SVGElement("svg")}} element. <code>null</code> if the given element is the outermost <code>&lt;svg&gt;</code> element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods, but inherits methods from: {{DOMxRef("DocumentAndElementEventHandlers")}}, {{DOMxRef("Element")}}, {{DOMxRef("ElementCSSInlineStyle")}}, {{DOMxRef("GlobalEventHandlers")}}, {{DOMxRef("HTMLOrForeignElement")}}, {{DOMxRef("SVGElementInstance")}}</em></p>

<h2 id="Events">Events</h2>

<p>Listen to these events using <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener()</a></code> or by assigning an event listener to the equivalent <code>on...</code> handler property defined on {{DOMxRef("GlobalEventHandlers")}} or {{DOMxRef("WindowEventHandlers")}}.</p>

<dl>
	<dt><code><a href="/en-US/docs/Web/API/SVGElement/abort_event">abort</a></code></dt>
	<dd>Fired when page loading is stopped before an SVG element has been allowed to load completely.<br>
	Also available via the <code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onabort">onabort</a></code> property.</dd>
	<dt><code><a href="/en-US/docs/Web/API/SVGElement/error_event">error</a></code></dt>
	<dd>Fired when an SVG element does not load properly or when an error occurs during script execution.<br>
	Also available via the <code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onerror">onerror</a></code> property.</dd>
	<dt><code><a href="/en-US/docs/Web/API/SVGElement/load_event">load</a></code></dt>
	<dd>Fires on an <code>SVGElement</code> when it is loaded in the browser.<br>
	Also available via the <code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onload">onload</a></code> property.</dd>
	<dt><code><a href="/en-US/docs/Web/API/SVGElement/resize_event">resize</a></code></dt>
	<dd>Fired when an SVG document is being resized.<br>
	Also available via the <code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onresize">onresize</a></code> property.</dd>
	<dt><code><a href="/en-US/docs/Web/API/SVGElement/scroll_event">scroll</a></code></dt>
	<dd>Fired when an SVG document view is being shifted along the X and/or Y axes.<br>
	Also available via the <code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onscroll">onscroll</a></code> property.</dd>
	<dt><code><a href="/en-US/docs/Web/API/SVGElement/unload_event">unload</a></code></dt>
	<dd>Fired when the DOM implementation removes an SVG document from a window or frame.<br>
	Also available via the <code><a href="/en-US/docs/Web/API/WindowEventHandlers/onunload">onunload</a></code> property.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName("SVG2", "types.html#InterfaceSVGElement", "SVGElement")}}</td>
			<td>{{Spec2("SVG2")}}</td>
			<td>Adds the {{DOMxRef("SVGElement.dataset", "dataset")}} property.</td>
		</tr>
		<tr>
			<td>{{SpecName("SVG1.1", "types.html#InterfaceSVGElement", "SVGElement")}}</td>
			<td>{{Spec2("SVG1.1")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>HTML {{HTMLAttrxRef("data-*")}} attribute</li>
	<li>SVG {{SVGAttr("data-*")}} attribute</li>
	<li><a href="/en-US/docs/Web/Guide/HTML/Using_data_attributes">Using custom data attributes in HTML</a></li>
</ul>
